# Create a feature rule version

Creates a feature rule version.

Endpoint: POST /v3/feature-rules/{featureRuleId}/versions
Version: 2026-09-18
Security: ZephrHmacHttp

## Security:

  - `ZephrHmacHttp` (unknown)
    http ZEPHR-HMAC-*

## Path parameters:

  - `featureRuleId` (string, required)
    Unique Feature Rule identifier

## Request fields (application/json):

  - `label` (string)

  - `description` (string)

  - `requirements_script` (string)

  - `action_script` (string)

  - `script_type` (string)

  - `graph_state` (string)

  - `editing_mode` (string)

## Response 200:

  - `200` (unknown)
    OK

## Response 201:

  - `201` (unknown)
    Created

## Response 201 fields (application/json):

  - `message` (string)
    Example: Feature Rule created successfully

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 201 examples:

  - `response` (unknown)

